#@ load("@ytt:data", "data")
#@ host = data.values.application.subdomain + "." + data.values.cluster.domain
---
crds:
  install: true
  keep: true

global:
  domain: #@ host

configs:
  params:
    server.insecure: true
  cm:
    resource.customizations.ignoreDifferences.all: |
      managedFieldsManagers:
        - kube-controller-manager
      jsonPointers:
        - /status
    resource.customizations.health.networking.k8s.io_Ingress: |
      hs = {}
      hs.status = "Healthy"
      hs.message = ""
      return hs

controller:
  metrics:
    enabled: true

server:
  metrics:
    enabled: true
  ingress:
    enabled: true
    ingressClassName: #@ data.values.cluster.ingress.className
    tls: true
    annotations:
      cert-manager.io/cluster-issuer: #@ data.values.cluster.tls.issuer

repoServer:
  metrics:
    enabled: true

applicationSet:
  metrics:
    enabled: true
